# Deprecated API

## Contents

- Interfaces
- Fields
- Methods
- Constructors

Deprecated Interfaces
Interface
Description
org.osgi.framework.Configurable
As of 1.2. Please use Configuration Admin service.
org.osgi.framework.hooks.service.EventHook
As of 1.1. Replaced by `EventListenerHook`.
org.osgi.service.packageadmin.ExportedPackage
The PackageAdmin service has been replaced by the `org.osgi.framework.wiring` package.
org.osgi.service.packageadmin.PackageAdmin
This service has been replaced by the `org.osgi.framework.wiring` package.
org.osgi.service.packageadmin.RequiredBundle
The PackageAdmin service has been replaced by the `org.osgi.framework.wiring` package.
org.osgi.service.startlevel.StartLevel
This service has been replaced by the `org.osgi.framework.startlevel` package.

Deprecated Fields
Field
Description
org.osgi.framework.Constants.BUNDLE_REQUIREDEXECUTIONENVIRONMENT
As of 1.6. Replaced by the `osgi.ee` capability.
org.osgi.framework.Constants.EXPORT_SERVICE
As of 1.2.
org.osgi.framework.Constants.EXTENSION_BOOTCLASSPATH
As of 1.9.
org.osgi.framework.Constants.FRAMEWORK_EXECUTIONENVIRONMENT
As of 1.6. Replaced by the `osgi.ee` capability.
org.osgi.framework.Constants.IMPORT_SERVICE
As of 1.2.
org.osgi.framework.Constants.PACKAGE_SPECIFICATION_VERSION
As of 1.3. This has been replaced by `Constants.VERSION_ATTRIBUTE`.
org.osgi.framework.Constants.SUPPORTS_BOOTCLASSPATH_EXTENSION
As of 1.10.
org.osgi.framework.FrameworkEvent.STOPPED_BOOTCLASSPATH_MODIFIED
As of 1.10.
org.osgi.framework.namespace.HostNamespace.EXTENSION_BOOTCLASSPATH
As of 1.2.
org.osgi.framework.PackagePermission.EXPORT
As of 1.5. Use `exportonly` instead.
org.osgi.service.log.LogService.LOG_DEBUG
Since 1.4. Replaced by `LogLevel.DEBUG`.
org.osgi.service.log.LogService.LOG_ERROR
Since 1.4. Replaced by `LogLevel.ERROR`.
org.osgi.service.log.LogService.LOG_INFO
Since 1.4. Replaced by `LogLevel.INFO`.
org.osgi.service.log.LogService.LOG_WARNING
Since 1.4. Replaced by `LogLevel.WARN`.

Deprecated Methods
Method
Description
org.osgi.framework.Configurable.getConfigurationObject()
As of 1.2. Please use Configuration Admin service.
org.osgi.service.condpermadmin.ConditionalPermissionAdmin.addConditionalPermissionInfo(ConditionInfo[], PermissionInfo[])
As of 1.1. Use `ConditionalPermissionAdmin.newConditionalPermissionUpdate()` instead.
org.osgi.service.condpermadmin.ConditionalPermissionAdmin.getConditionalPermissionInfo(String)
As of 1.1. Use `ConditionalPermissionAdmin.newConditionalPermissionUpdate()` instead.
org.osgi.service.condpermadmin.ConditionalPermissionAdmin.getConditionalPermissionInfos()
As of 1.1. Use `ConditionalPermissionAdmin.newConditionalPermissionUpdate()` instead.
org.osgi.service.condpermadmin.ConditionalPermissionAdmin.setConditionalPermissionInfo(String, ConditionInfo[], PermissionInfo[])
As of 1.1. Use `ConditionalPermissionAdmin.newConditionalPermissionUpdate()` instead.
org.osgi.service.condpermadmin.ConditionalPermissionInfo.delete()
As of 1.1. Use `ConditionalPermissionAdmin.newConditionalPermissionUpdate()` instead to manage the Conditional Permissions.
org.osgi.service.log.LogEntry.getLevel()
Since 1.4. Replaced by `LogEntry.getLogLevel()`.
org.osgi.service.log.LogService.log(int, String)
Since 1.4. Replaced by `Logger`. See `LoggerFactory`.
org.osgi.service.log.LogService.log(int, String, Throwable)
Since 1.4. Replaced by `Logger`. See `LoggerFactory`.
org.osgi.service.log.LogService.log(ServiceReference<?>, int, String)
Since 1.4. Replaced by `Logger`. See `LoggerFactory`.
org.osgi.service.log.LogService.log(ServiceReference<?>, int, String, Throwable)
Since 1.4. Replaced by `Logger`. See `LoggerFactory`.
org.osgi.service.packageadmin.ExportedPackage.getSpecificationVersion()
As of 1.2. Replaced by `ExportedPackage.getVersion()`.
org.osgi.service.packageadmin.PackageAdmin.getExportedPackage(String)
org.osgi.service.packageadmin.PackageAdmin.getExportedPackages(String)
org.osgi.service.packageadmin.PackageAdmin.getExportedPackages(Bundle)
org.osgi.service.packageadmin.PackageAdmin.getRequiredBundles(String)
org.osgi.service.url.AbstractURLStreamHandlerService.setURL(URL, String, String, int, String, String)
This method is only for compatibility with handlers written for JDK 1.1.
org.osgi.service.url.URLStreamHandlerSetter.setURL(URL, String, String, int, String, String)
This method is only for compatibility with handlers written for JDK 1.1.

Deprecated Constructors
Constructor
Description
org.osgi.framework.FrameworkEvent(int, Object)
As of 1.2. This constructor is deprecated in favor of using the other constructor with the System Bundle as the event source.